# Backup and Restore |deepin-clone|

## Overview

Backup and Restore is a tool for backing up and restoring your system and user data. With it, you can avoid data loss or damage caused by software defects, hardware damage, improper operations, etc.

## Backup

Backup and Restore supports system backup and data backup. System backup backs up your system environment, and is used for system restore when the system fails; Data backup backs up your user data in the /home directory to an external storage device, and is used to restore data when lost or damaged.

![1|backup](fig/backup.png)

### System Backup

1. Select **System Backup**, click **Next**, and enter the password of the administrator account.
2. On the System Backup interface, click **Select backup directory**, select a partition with sufficient space to save the backup file, and close the window.

![1|backup_settings](fig/backup_settings.png)

3. Write a description under **Note** to remark this backup for backup file management later, which is optional.

4. Click **Start Backup** to start system backup.

> ![attention](../common/attention.svg) Attention: To avoid effects on system backup, please do not use your computer during the backup process.

![1|system_backup](fig/system_backup.png)

5. When the backup is successful, click ![main_menu](../common/icon_menu.svg) > **Backup files**, and choose **System backup** in the dropdown list, you can view all system backup files there. If backup fails, take actions according to the prompts.

> ![notes](../common/notes.svg) Notes: 
> 1. System backup is an incremental backup, which incrementally backs up system directories based on the last system backup file, and creates a backup point. After the first backup is completed, you can back up the system directly without setting the storage partition again.
> 2. If "Create an initial backup" has been checked during system installation, the storage partition has been automatically selected and the initial system backup has been completed after system installation, so you can start system backup directly without any settings. 

### Data Backup

Data backup is used to back up the data of current user in the /home directory to an external storage device for later data restore.

1. On the Data Backup interface, click ![next](../common/next.svg)to display the subfolders, and check the files you want to back up.
2. In the dropdown list of **Backup directory**, choose an external device to save the backup file.

![1|data_backup](fig/data_backup.png)

3. Click **Next**. It checks the disk space automatically.
4. If the space is enough, enter a note, and click **Start Backup** to start data backup.
5. When the backup is successful, click ![main_menu](../common/icon_menu.svg) > **Backup files**, and choose **Data backup** in the dropdown list, you can view all data backup files in the external device. If backup fails, take actions according to the prompts.

> ![attention](../common/attention.svg) Attention: To avoid data loss or backup failure, please do not use your computer during the backup process.

> ![notes](../common/notes.svg) Notes: Data backup only supports devices in ext4, brtfs, xfs, and reiserfs formats. Please format the external device into these file systems before using it for data backup.

### Advanced Features

Backup and Restore also supports creating uimg files for cloning the whole system and data of all users.

#### Create .uimg Files

1. On the Advanced tab, select **Ghost**, click **Next**, and enter the password of the administrator account.

![1|ghost](fig/ghost.png)

2. On the Ghost page, select a directory to save the uimg file, and click **Create**.

3. When successful, you can get the uimg image file in the specified location. It is recommended to copy the file to an external disk for later use.

> ![tip](../common/tips.svg) Tips: How to use the uimg file? During system installation on another computer, click "Other Ways' and choose the uimg file to clone the system and user data to the PC.

## Restore

Corresponding to system backup and data backup, Backup and Restore supports system restore and data restore as well. In addition, it has "Restore from Initial Backup", which restores system to the state when it is just installed. To be compatible with backup files created in the old system version, "Other Ways" is provided for you to restore system to the old version.

![1|restore](fig/restore.png)

### System Restore

#### Restore System in Backup and Restore

If you can enter the desktop, restore your system in Backup and Restore as follows.

1. Select **System Restore**, click **Next**, and enter the password of the administrator account. 

2. On the System Restore page, select a backup file, and click **Restore**. After confirmation, choose **Reboot and Restore** to start system restore. 

3. After the computer restarts, the system is restored to the state on the specified date.

   ![1|restore](fig/system_restore.png)

#### Restore System in GRUB Menu

If you cannot enter the desktop, select the backup point in the boot menu and restore your system to a working state.

1. When the computer starts, select and enter into "System Recovery" in the boot menu.
2. Select the version you want to restore to, and press Enter.
3. Your system will be restored to the state on the specified date and then start up.

### Data Restore

1. Insert an external disk with data backup files into your computer.
2. Select **Data Restore** and click **Next** to enter the Data Restore page.
3. Select a data backup point, and click **Start Restore**. The user data in the /home directory will be restored. 

### Restore from Initial Backup

This method is used to reset system to factory settings. If you have checked "Create an initial backup" during system installation, you can use this method to restore system to the initial state when the installation is completed.

1. Select **Restore from Initial Backup**, click **Next**, and enter the password of the administrator account. 

2. In the pop-up window, click **Confirm and Reset**.

3. After the backup file is parsed successfully, click **Confirm**, and **Reboot and Restore**.

4. After reboot, the system will be restored to the state when it is just installed. 

### Other Ways

To be compatible with .dim backup files created in the old system version, it is provided for you to restore system to the old version. (It is unavailable at present)

## Main Menu

### Settings

Click ![main_menu](../common/icon_menu.svg)**>** **Settings** to change the storage partition of system backup files, which needs administrator privileges.

![backup_settings](fig/backup_settings.png)

### **Logs**

Click  ![main_menu](../common/icon_menu.svg)**>** **Logs** to view the logs of Backup and Restore, which record backup types, users and the time.

![logs](fig/logs.png)

### Backup Files

The "Backup files" menu in Settings is used to manage system backup files and data backup files.

Click ![main_menu](../common/icon_menu.svg) **>** **Backup files** to enter the backup file management interface, and you can see the list of   system backup files. When the backup space is not enough, you can delete the backup file here to clear the space.

When an external device that stores data backup files is inserted, in the dropdown box, switch to **Data Backup** to manage the data backup files in the external device.

![backup_files](fig/backup_files.png)


### Theme

The window theme provides three theme types, namely Light Theme, Dark Theme, and System Theme.

1.  On the Backup and Restore interface, click ![main_menu](../common/icon_menu.svg).
2.  Click **Theme** to choose one theme.

### Help

1.  On the Backup and Restore interface, click ![icon_menu](../common/icon_menu.svg).
2.  Click **Help** to view the manual of Backup and Restore.

### About

1.  On the Backup and Restore interface, click ![icon_menu](../common/icon_menu.svg).
2.  Click **About** to view the version and introduction of Backup and Restore.

### Exit

1.  On the Backup and Restore interface, click ![icon_menu](../common/icon_menu.svg).
2.  Click **Exit** to exit.