# 备份还原 

## 概述

备份还原是一款用于备份系统和数据的工具。为避免因软件缺陷、硬件损毁、人为操作不当等因素造成数据缺失或损坏，可以进行应用数据或系统数据的备份与还原，以保障系统的正常运行。

## 备份

备份还原工具提供系统备份和数据备份两种备份方式。分别是备份系统环境，用于系统出现故障时恢复系统；备份用户数据到外接设备，当数据丢失或设备损坏时，用于恢复数据。

![1|backup](fig/backup.png)

### 系统备份

1. 选择 **系统备份**，单击 **下一步**，输入管理员用户密码后，进入系统备份页面。
2. 单击 **选择存储目录**，在当前系统的分区列表中，选择合适的分区存储系统备份文件，关闭弹窗。

![1|backup_settings](fig/backup_settings.png)

3. 在系统备份界面，输入 **备注** 信息，为此次备份做标记，便于日后管理备份文件。

4. 单击 **开始备份**，即开始系统备份环节。

> ![attention](../common/attention.svg) 注意：备份过程中尽量不要操作计算机，避免因为修改系统配置数据而影响备份结果。

![1|system_backup](fig/system_backup.png)

5. 备份成功后，单击主菜单 ![main_menu](../common/icon_menu.svg)**> ** **备份文件**，选择 **系统备份**，可查看所有系统备份文件。若备份失败，可根据失败原因进行下一步操作。

> ![notes](../common/notes.svg) 说明：
> 1. 系统备份采用增量备份的方式，会基于上一次的系统备份文件来增量备份系统目录，并快速创建备份点。完成初次备份后，可直接进行系统备份，无需再设置备份存储目录。
> 2. 如果在系统安装时选择了“创建初始化备份”，系统安装完成后，即选择了默认的存储目录，并完成了初始系统备份，进入系统后可直接进行系统备份的操作。

### 数据备份

数据备份用于备份当前用户的数据。把当前用户的数据备份到外接设备中，将数据离盘存储，提升数据灾备防护。

1. 进入 **数据备份** 后，单击 ![next](../common/next.svg)可展开二级目录，勾选需要备份的文件。
2. 在 **备份目录** 下拉框中，选择一个外接存储设备。

![1|data_backup](fig/data_backup.png)

3. 单击 **下一步**，自动进行存储空间检查。
4. 若空间充足，输入备注信息后，单击 **开始备份**，即开始数据备份环节。
5. 备份成功后，单击主菜单的 **备份文件**，选择 **数据备份**，可查看当前外接设备中的所有数据备份文件。若备份失败，可根据失败原因进行下一步操作。

> ![attention](../common/attention.svg) 注意：备份过程中时最好不要操作计算机，避免影响到备份的数据，导致数据丢失或备份失败。

> ![notes](../common/notes.svg) 说明：数据备份仅支持备份到ext4、brtfs、xfs、reiserfs格式的设备中。建议将设备格式化成以上格式后再用于数据备份。

### 高级功能

备份还原工具还支持制作uimg文件。将整个系统制作成uimg镜像文件，用于克隆系统环境和数据。

#### 制作 uimg 文件

1. 在高级功能页面，选择“一键Ghost”，单击“下一步”，输入管理员密码。

![1|ghost](fig/ghost.png)

2. 进入uimg文件的制作页面， 选择存储目录，单击“开始制作”。

3. 制作成功后，即获得包含当前系统和数据的uimg文件，可复制到外接磁盘备用。

> ![tip](../common/tips.svg)Tips：系统安装时，单击“其他安装”，选择该uimg文件，即可把当前的系统和数据克隆到另一台设备。

## 还原

与系统备份和数据备份对应，备份还原还支持系统还原和数据还原。此外，支持“初始化还原”，可恢复出厂设置；为了兼容旧版本的备份还原文件，提供“其他还原”来恢复旧版本系统。

![1|restore](fig/restore.png)

### 系统还原

#### 系统内还原

若您可以进入系统桌面，可以在备份还原工具中进行系统还原。

1. 选择 **系统还原**，单击 **下一步**，进入系统还原界面。

2. 选择一个系统备份文件，单击 **还原**，确认还原后，选择是否立即 **重启还原**。

3. 选择重启后，系统会关机，进行系统还原并重启，重启后即回到了指定的还原点状态。

   ![1|restore](fig/system_restore.png)

#### Grub还原

系统损坏无法进入桌面时，还可以从Grub中选择还原点，将系统恢复到可用的版本。

1. 系统启动前，在Grub列表中选择“系统恢复”。
2. 进入系统恢复后，选择需要还原的版本，按Enter键确认还原。
3. 系统会进入还原环节，重启后系统将回到所需恢复的版本状态。

### 数据还原

1. 插入存储有数据备份文件的设备。
2. 选择 **数据还原**，单击 **下一步**，进入数据还原界面。
3. 选择一个数据备份点，单击 **开始还原**，即可将存储设备中的文件还原到当前的用户目录中。


### 初始化还原

初始化还原用于恢复出厂设置。如果系统安装时进行了初始化备份，可以通过初始化还原将系统恢复到安装完成后的初始状态。

1. 选择 **初始化还原**，单击 **下一步**。

2. 在弹窗中单击 **确认恢复**。

3. 在备份文件解析成功后，单击 **确定**，单击 **重启还原**。

4. 重启后，系统将恢复到安装完成后的初始状态。

### 其他还原

为了兼容旧版备份还原的dim文件，备份还原工具还提供“其他还原”功能。（此版本暂不提供该功能）选择 退出。


## 主菜单

### 设置

单击  ![main_menu](../common/icon_menu.svg)**>** **设置**，可以修改系统备份的存储目录。此功能需要管理员权限。

![backup_settings](fig/backup_settings.png)

### 日志

单击  ![main_menu](../common/icon_menu.svg)**>** **日志**，可以查看备份还原工具的操作日志，包括操作用户、类型、时间等信息。

![logs](fig/logs.png)

### 备份文件

备份文件用于管理设备中的系统备份文件和数据备份文件。

单击 ![main_menu](../common/icon_menu.svg)**>** **备份文件**，进入备份文件管理界面，可以看到当前存储的系统备份文件列表。当备份空间不足时，可以在此界面删除备份文件，清理空间。

若插入了存储有数据备份文件的外接设备，在下拉框中，切换到 **数据备份**，可查看外接设备中的数据备份文件。

![backup_files](fig/backup_files.png)


### 主题

窗口主题包含浅色主题、深色主题和系统主题，其中系统主题为默认设置。

1.  在备份还原界面，单击 ![main_menu](../common/icon_menu.svg).
2.  选择 **主题**，选择一个主题颜色。

### 帮助

1.  在备份还原界面，单击 ![main_menu](../common/icon_menu.svg).
2.  选择 **帮助**，查看帮助手册，进一步了解和使用备份还原工具。

### 关于

1.  在备份还原界面，单击 ![main_menu](../common/icon_menu.svg).
2.  选择 **关于**，查看备份还原的版本和介绍。

### 退出

1.  在备份还原界面，单击 ![main_menu](../common/icon_menu.svg).
2.  选择 **退出**。